Based on property, open copilot when user gets ready to exit the window
10/25/2023 05:26 AM - Ram Kordale

Status: Review Start date: 10/25/2023
Priority: Urgent Due date: 11/08/2023
Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 2.00 hours
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

When user is about to exit, open the copilot if "isCopilotOpenOnExit" was present in the API response and the value was true.

How to decide if the user is about to exit. We can combine the following heuristics. If all of the following happens, we can assume
that the user is about to exit

- Direction of the mouse movement is roughly towards the top of the window (between (0,2h/3) and (w, 2h/3)) where w is the width
and h is the height of the window.

- Relatively fast movement [This needs some experimentation. We can use the same logic for both the points from the Angular
implementation.]

Can we reuse the logic to find out if the user is exiting in Angular to build this feature?

There, the logic was based on direction and speed of mouse movement. [http://34.67.50.25/issues/2047 has some clue on where to
find this in code.]

History

#1 - 11/06/2023 02:45 AM - Ram Kordale

- Description updated

#2 - 11/06/2023 05:29 AM - Ayush Khandelwal
- Due date set to 11/06/2023

- Status changed from New to In Progress

#3 - 11/06/2023 12:19 PM - Ayush Khandelwal
- File mouse_speed_old_poc.html added

- File mouse_speed_poc.html added

#4 - 11/06/2023 12:20 PM - Ayush Khandelwal
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

Attached the speed implementation. After doing some experiment, we will decide the value for the speed. POC's are attached in the ticket.

#5 - 11/08/2023 05:45 AM - Ayush Khandelwal

- File mouse_speed _poc_approved.html added

- Due date changed from 11/06/2023 to 11/08/2023
- Status changed from Resolved to In Progress

- Estimated time set to 2.00 h

#6 - 11/08/2023 05:45 AM - Ayush Khandelwal
- Tracker changed from Feature to Task
- Status changed from In Progress to New

- % Done changed from 100 to 0

#7 - 11/08/2023 05:45 AM - Ayush Khandelwal
- Tracker changed from Task to Feature

- Assignee changed from Ayush Khandelwal to Ayanava Karmakar

#8 - 11/08/2023 05:48 AM - Ayush Khandelwal

Use the 'mouse_speed_poc_approved.html' logic to detect the user is ready to exit the window. If yes, then open the copilot.

#9 - 11/08/2023 06:28 AM - Ayanava Karmakar

- Status changed from New to In Progress

#10 - 11/08/2023 12:47 PM - Ayanava Karmakar
- % Done changed from 0 to 50

#11 - 11/08/2023 01:04 PM - Ayanava Karmakar

- Status changed from In Progress to Resolved

#12 - 11/08/2023 01:11 PM - Ayanava Karmakar
- Status changed from Resolved to Review
- Assignee changed from Ayanava Karmakar to Ayush Khandelwal

- % Done changed from 50 to 100

#13 - 11/08/2023 01:32 PM - Ram Kordale
- Description updated

#14 - 11/09/2023 06:00 AM - Ayanava Karmakar

- Status changed from Review to Reopened

#15 - 11/09/2023 06:01 AM - Ayanava Karmakar

- Assignee changed from Ayush Khandelwal to Ayanava Karmakar

#16 - 11/09/2023 11:50 AM - Ayanava Karmakar

- Status changed from Reopened to In Progress

#17 - 11/09/2023 11:50 AM - Ayanava Karmakar

- Status changed from In Progress to Resolved

#18 - 11/09/2023 11:50 AM - Ayanava Karmakar
- Status changed from Resolved to Review

- Assignee changed from Ayanava Karmakar to Ayush Khandelwal

Files

mouse_speed_old_poc.html 695 Bytes 11/06/2023 Ayush Khandelwal
mouse_speed_poc.html 1.98 KB 11/06/2023 Ayush Khandelwal
mouse_speed_poc_approved.html 1.99 KB 11/08/2023 Ayush Khandelwal
